Package ru.bitel.bgbilling.modules.sorm.server.bean

# Class SormContract

java.lang.Object
ru.bitel.bgbilling.modules.sorm.server.bean.SormContract

    public class SormContract
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `SormContract​(int contractId, java.lang.String contractTitle, java.util.Date dateFrom, java.util.Date dateTo, boolean isFiz, int status, boolean isSub, int scid)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getContractId()` |
  `java.lang.String` | `getContractTitle()` |
  `java.util.Date` | `getDateFrom()` |
  `java.util.Date` | `getDateTo()` |
  `int` | `getScid()` |
  `int` | `getStatus()` |
  `boolean` | `isFiz()` |
  `boolean` | `isSub()` |
  `void` | `setContractId​(int contractId)` |
  `void` | `setContractTitle​(java.lang.String contractTitle)` |
  `void` | `setDateFrom​(java.util.Date dateFrom)` |
  `void` | `setDateTo​(java.util.Date dateTo)` |
  `void` | `setFiz​(boolean fiz)` |
  `void` | `setScid​(int scid)` |
  `void` | `setStatus​(int status)` |
  `void` | `setSub​(boolean sub)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SormContract

    public SormContract​(int contractId, java.lang.String contractTitle, java.util.Date dateFrom, java.util.Date dateTo, boolean isFiz, int status, boolean isSub, int scid)

- ## Method Details

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId​(int contractId)

  - ### getContractTitle

    public java.lang.String getContractTitle()

  - ### setContractTitle

    public void setContractTitle​(java.lang.String contractTitle)

  - ### getDateFrom

    public java.util.Date getDateFrom()

  - ### setDateFrom

    public void setDateFrom​(java.util.Date dateFrom)

  - ### getDateTo

    public java.util.Date getDateTo()

  - ### setDateTo

    public void setDateTo​(java.util.Date dateTo)

  - ### isFiz

    public boolean isFiz()

  - ### setFiz

    public void setFiz​(boolean fiz)

  - ### getStatus

    public int getStatus()

  - ### setStatus

    public void setStatus​(int status)

  - ### isSub

    public boolean isSub()

  - ### setSub

    public void setSub​(boolean sub)

  - ### getScid

    public int getScid()

  - ### setScid

    public void setScid​(int scid)